package com.philisense.www.service.impl;


import com.philisense.www.dao.ProUserOrgDAO;
import com.philisense.www.service.ProUserOrgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProUserOrgServiceImpl implements ProUserOrgService {

        @Autowired
        private ProUserOrgDAO proUserOrgDAO;

        @Override
        public int deleteByPrimaryKey(String id) {
            return proUserOrgDAO.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proUserOrgDAO.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proUserOrgDAO.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proUserOrgDAO.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proUserOrgDAO.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proUserOrgDAO.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proUserOrgDAO.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proUserOrgDAO.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proUserOrgDAO.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proUserOrgDAO.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proUserOrgDAO.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proUserOrgDAO.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proUserOrgDAO.updateBatch(list);
        }

    @Override
    public List<Map<String, Object>> getSelectedProOrgByUserId(Map<String, Object> map) {
        return proUserOrgDAO.getSelectedProOrgByUserId(map);
    }

    @Override
    public int getCountProUserByOrgId(Map<String, Object> map) {
        return proUserOrgDAO.getCountProUserByOrgId(map);
    }

    @Override
    public List<Map<String, Object>> getPageProUserByOrgId(Map<String, Object> map) {
        return proUserOrgDAO.getPageProUserByOrgId(map);
    }
}